Saltar al contenido principal
POST
/
cms
/
v3
/
hubdb
/
tables
/
{tableIdOrName}
/
unpublish
Unpublish a table
curl --request POST \
  --url https://api.hubapi.com/cms/v3/hubdb/tables/{tableIdOrName}/unpublish \
  --header 'Authorization: Bearer <token>'
{
  "allowChildTables": true,
  "allowPublicApiAccess": true,
  "columnCount": 123,
  "columns": [
    {
      "deleted": true,
      "description": "<string>",
      "id": "<string>",
      "label": "<string>",
      "name": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "createdBy": {
        "email": "<string>",
        "firstName": "<string>",
        "id": "<string>",
        "lastName": "<string>"
      },
      "createdByUserId": 123,
      "foreignColumnId": 123,
      "foreignIds": [
        {
          "id": "<string>",
          "name": "<string>",
          "type": "<string>"
        }
      ],
      "foreignIdsById": {},
      "foreignIdsByName": {},
      "foreignTableId": 123,
      "optionCount": 123,
      "options": [
        {
          "createdAt": "2023-11-07T05:31:56Z",
          "id": "<string>",
          "label": "<string>",
          "name": "<string>",
          "order": 123,
          "type": "<string>",
          "updatedAt": "2023-11-07T05:31:56Z",
          "createdBy": {
            "email": "<string>",
            "firstName": "<string>",
            "id": "<string>",
            "lastName": "<string>"
          },
          "createdByUserId": 123,
          "updatedBy": {
            "email": "<string>",
            "firstName": "<string>",
            "id": "<string>",
            "lastName": "<string>"
          },
          "updatedByUserId": 123
        }
      ],
      "updatedAt": "2023-11-07T05:31:56Z",
      "updatedBy": {
        "email": "<string>",
        "firstName": "<string>",
        "id": "<string>",
        "lastName": "<string>"
      },
      "updatedByUserId": 123,
      "width": 123
    }
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "deleted": true,
  "deletedAt": "2023-11-07T05:31:56Z",
  "dynamicMetaTags": {},
  "enableChildTablePages": true,
  "id": "<string>",
  "label": "<string>",
  "name": "<string>",
  "published": true,
  "publishedAt": "2023-11-07T05:31:56Z",
  "rowCount": 123,
  "updatedAt": "2023-11-07T05:31:56Z",
  "useForPages": true,
  "createdBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>"
  },
  "isOrderedManually": true,
  "updatedBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>"
  }
}

Supported products

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Parámetros de ruta

tableIdOrName
string
requerido

Parámetros de consulta

includeForeignIds
boolean

Respuesta

successful operation

allowChildTables
boolean
requerido

Specifies whether child tables can be created

allowPublicApiAccess
boolean
requerido

Specifies whether the table can be read by public without authorization

columnCount
integer<int64>
requerido

Number of columns including deleted

columns
object[]
requerido

List of columns in the table

createdAt
string<date-time>
requerido

Timestamp at which the table is created

deleted
boolean
requerido

Specifies whether the table is marked as deleted.

deletedAt
string<date-time>
requerido

The timestamp indicating when the table was deleted.

dynamicMetaTags
object
requerido

Specifies the key value pairs of the metadata fields with the associated column IDs.

enableChildTablePages
boolean
requerido

Specifies creation of multi-level dynamic pages using child tables

id
string
requerido

Id of the table

label
string
requerido

Label of the table

name
string
requerido

Name of the table

published
boolean
requerido

Indicates whether the table is currently published.

publishedAt
string<date-time>
requerido

Timestamp at which the table is published recently

rowCount
integer<int32>
requerido

Number of rows in the table

updatedAt
string<date-time>
requerido

Timestamp at which the table is updated recently

useForPages
boolean
requerido

Specifies whether the table can be used for creation of dynamic pages

createdBy
object
isOrderedManually
boolean

Indicates whether the table rows are ordered manually.

updatedBy
object
Última modificación el 5 de junio de 2026